/* 
 * File:   handler.h
 * Author: Arthur Brandao
 *
 * Created on 23 novembre 2018
 */

#ifndef HANDLER_H
#define HANDLER_H

/* --- Include --- */
#include "constante.h"
#include "json.h"
#include "game.h"

/* --- Structure --- */
typedef struct{
    int second; //Seconde à attendre
    int game; //Index de la game dans le tableau
    int player; //Index du joueur dans le tableau de game
    int(*callback)(Game*, int);
}timer_data;

/* --- Fonctions --- */
/**
 * Initialise les handlers
 */
void ini_handler();

/**
 * Handler de gestion des deconnexion des clients
 * @param int L'id du client
 * @param JsonParser* Le json envoyer par le client
 * @return int Etat
 */
int handler_client_end(int, JsonParser*);

/**
 * Liste des games actives
 * @param int L'id du client
 * @param JsonParser* Le json envoyer par le client
 * @return int Etat
 */
int handler_game_list(int, JsonParser*);

int handler_game_create(int, JsonParser*);

#endif /* HANDLER_H */

